| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# guimenuitem

$Revision: 1.3 $

$Date: 2002/06/12 11:18:12 $

guimenuitem — The name of a terminal menu item in a GUI

## Synopsis

### Mixed Content Model

    guimenuitem ::=
    (#PCDATA|replaceable|inlinegraphic|inlinemediaobject|indexterm|
     beginpage|accel)*

### Attributes

Common attributes

Name | Type | Default

moreinfo

Enumeration:
none
refentry

"none"

## Description

`GUIMenuItem` identifies a terminal selection from a menu in a graphical user interface. In particular, this is distinct from a menu (`GUIMenu`) and a submenu (`GUISubmenu`). The distinction between a `GUIMenuItem` and a `GUISubmenu` is simply whether or not the selection is terminal or leads to an additional submenu.

### Processing expectations

Formatted inline. The `MoreInfo` attribute can help generate a link or query to retrieve additional information.

### Parents

These elements contain guimenuitem: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `menuchoice`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `term`, `tertiary`, `tertiaryie`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in guimenuitem: `accel`, `beginpage`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `replaceable`.

## Attributes

moreinfo

  If `MoreInfo` is set to `RefEntry`, it implies that a `RefEntry` exists which further describes the `GUIMenuItem`.

## See Also

`accel`, `guibutton`, `guiicon`, `guilabel`, `guimenu`, `guisubmenu`, `keycap`, `keycode`, `keycombo`, `keysym`, `menuchoice`, `mousebutton`, `shortcut`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    You can exit from GNU Emacs with the keyboard shortcut
    <keycombo><keysym>C-c</keysym><keysym>C-x</keysym></keycombo>
    or by selecting <guimenuitem>Exit Emacs</guimenuitem> from
    the <guimenu>Files</guimenu> menu.
    </para>

You can exit from GNU Emacs with the keyboard shortcut C-c-C-x or by selecting Exit Emacs from the Files menu.

For additional examples, see also `accel`, `action`, `guimenu`, `guisubmenu`, `menuchoice`, `shortcut`.

guimenu |  | guisubmenu

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.